Unicode character fails edit Issue
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

History

#1 - 2020-01-07 11:04 - Ruud Poutsma

Try to add a thumbs up character. The version installed at my company will give an error page. The version on this website will show nothing.

https://emojipedia.org/thumbs-up-sign/

#2 - 2020-01-07 11:54 - Guillermo ML

I think is the same as #21398. People posted some workarounds there.

#3 - 2021-12-03 08:55 - Marco Shima

Test if working on redmine.org: Comment that contains certain Unicode characters can't be saved. Here we are:

#4 - 2021-12-03 08:56 - Marco Shima

Marco Shima wrote:

Test if working on redmine.org: Comment that contains certain Unicode characters can't be saved. Here we are:

 It was really lost. There was a character `U+1F442` after the "Here we are:" which is lost upon save.

#5 - 2022-02-02 20:04 - Daniel Drexlmaier

Duplicate:

- https://www.redmine.org/issues/25116#change-105522

- https://www.redmine.org/issues/11191#change-105521

Mail + Normal post

#6 - 2022-02-02 21:15 - Daniel Drexlmaier

Solution: Convert table to utf8mb and set in file database.yml   "encoding: utf8mb4"

#7 - 2022-02-14 20:51 - Florent H.

Hello, the solution may fix the issue but you could be more precise by giving the required command or sql query to run please.

I think the wiki and other contents should be fixed. So we could apply a conversion to table "issues" and all others ?

#8 - 2024-02-03 07:33 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

#note-6 is the solution.
